export declare type UniFunction = (x: number) => number;
export declare function createAkimaSplineInterpolator(xVals: ArrayLike<number>, yVals: ArrayLike<number>): UniFunction;
export declare function computeAkimaPolyCoefficients(xVals: ArrayLike<number>, yVals: ArrayLike<number>): Float64Array[];
export declare function createCubicSplineInterpolator(xVals: ArrayLike<number>, yVals: ArrayLike<number>): UniFunction;
export declare function computeCubicPolyCoefficients(xVals: ArrayLike<number>, yVals: ArrayLike<number>): Float64Array[];
export declare function createLinearInterpolator(xVals: ArrayLike<number>, yVals: ArrayLike<number>): UniFunction;
export declare function computeLinearPolyCoefficients(xVals: ArrayLike<number>, yVals: ArrayLike<number>): Float64Array[];
export declare function createNearestNeighborInterpolator(xVals: ArrayLike<number>, yVals: ArrayLike<number>): UniFunction;
